### Method

# Gio DBusMethodInvocation get_interface_name

since: 2.26

#### Declaration [src]

    const gchar*
    g_dbus_method_invocation_get_interface_name (
      GDBusMethodInvocation* invocation
    )

#### Description [src]

Gets the name of the D-Bus interface the method was invoked on.

This can be `NULL` if it was not specified by the sender. See `GDBusInterfaceMethodCallFunc` or the D-Bus Specification for details on when this can happen and how it should be handled.

If this method call is a property Get, Set or GetAll call that has been redirected to the method call handler then “org.freedesktop.DBus.Properties” will be returned. See `GDBusInterfaceVTable` for more information.

Available since: 2.26

#### Return value

Type: `const gchar*`

A string. Do not free, it is owned by `invocation`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.